neděle 6. června 2010

Canon PIXMA MP640 v Ubuntu 10.04 64-bit

Jednou ze slabin linuxových distribucí jsou ovladače. Tuto nespočetněkrát vyslovenou pravdu jsem si byl opět nucen ověřit při instalaci výše uvedeného zařízení. První část instalace spočívala v nainstalování tiskárny. Canon bohužel uvolnil ovladače tiskárny pouze pro 32 bitovou verzi a tudíž je postup lehce krkolomný. V tomto mi nejvíce pomohl Yellabelly's Blog podle kterého se dá tiskárna nainstalovat. Dokonce tam je i návod k instalaci scanneru, který je také funkční. To mi ovšem nestačilo, poněvadž na skenování není scangearmp tolik komfortní jako oblíbený XSane. V Ubuntu verze 10.04 je SANE stařičké verze 1.0.14 (v době psaní tohoto textíku je aktuální verzí 1.0.21) a ta neumí pracovat s deklarovaným zařízením. Binární balíčky na stránkách SANE nejsou a tak je třeba si stáhnout zdrojové kódy poslední verze (složka sane-beckends), rozzipovat a zkompilovat. Pokud je zařízení připojeno k USB portu, je třeba mít před kompilací ještě nainstalovaný balíček libusb-devel případně libusb-dev aby bylo zařízení k nalezení. Po obvyklém trojpříkazu ./configure - make - make install lze ověřit funkčnost příkazem sudo sane-find-scanner (nezapomeňte mít přitom zařízení zapnuté ;-)) Nyní můžeme nainstalovat XSane.Poslední verze XSane je vydaná již delší čas a tak se jí podařilo dostat i do balíčkovače poslední verze Ubuntu.

2 komentáře:

  1. Díky za návod. Mám však problém, že následná instalace XSane přepíše zkompilovanou verzi libsane 1.0.21 tou starou 1.0.20, která 640 (560 atd) nemá. Jak z toho? Dík za radu (na jklimosz zav gmail bod com).

    OdpovědětSmazat
  2. Pepawo: Předem se omlouvám za pozdní reakci. Zkusil jste restart před instalací XSane?

    OdpovědětSmazat